Name: ca_InCommon-Server-CA
Version: 1.85
Release: 1
Source: ca_InCommon-Server-CA-1.85.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_InCommon-Server-CA-1.85/84df5188.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for  unaccredited authority InCommon-Server-CA

%if %([ -n "https://www.incommon.org/cert/repository/" ] && echo 1 || echo 0)
URL: https://www.incommon.org/cert/repository/
%endif

%if %([ -n "ca_AddTrust-External-CA-Root = 1.85" ] && echo 1 || echo 0)
Requires: ca_AddTrust-External-CA-Root = 1.85
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_InCommon-Server-CA-1.85

%description
This is the trust anchor for the  unaccredited authority InCommon-Server-CA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

